org.apache.ignite.internal.commandline.baseline

## Enum AutoAdjustCommandArg

- java.lang.Object
- - java.lang.Enum<AutoAdjustCommandArg>
  - - org.apache.ignite.internal.commandline.baseline.AutoAdjustCommandArg

All Implemented Interfaces:
  Serializable, Comparable<AutoAdjustCommandArg>, CommandArg

    public enum AutoAdjustCommandArg
    extends Enum<AutoAdjustCommandArg>
    implements CommandArg

`BaselineSubcommands.AUTO_ADJUST` command arguments.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DISABLE` Disable auto-adjust.
`ENABLE` Enable auto-adjust.
`TIMEOUT` Set soft timeout.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `argName()`
`String` `toString()`
`static AutoAdjustCommandArg` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AutoAdjustCommandArg[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ENABLE

    public static final AutoAdjustCommandArg ENABLE

Enable auto-adjust.

#### DISABLE

    public static final AutoAdjustCommandArg DISABLE

Disable auto-adjust.

#### TIMEOUT

    public static final AutoAdjustCommandArg TIMEOUT

Set soft timeout.

### Method Detail

#### values

    public static AutoAdjustCommandArg[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AutoAdjustCommandArg c : AutoAdjustCommandArg.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AutoAdjustCommandArg valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### argName

    public String argName()

Specified by:
  `argName` in interface `CommandArg`
Returns:
  Argument name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<AutoAdjustCommandArg>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020